[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Retiring pangox



Hi,

The pangox backend of pango have been deprecated for years (2001ish) and I'm going to remove it upstream in a week or two. Matthias suggested we get rid of it in f12. I totally welcome that. So I want to rebuild pango with pangox disabled in the coming days.

I don't know of even one package that actually uses the pangox backend/API. I did a quick query [1] and seems like most packages linking to it are doing that because gtkglext2 wrongly has pangox in its .pc file. I will patch gtkglext2 to fix that, but all the dependent packages need to be rebuilt. There are some alarming ones though. In particular:

  xorg-x11-drv-nvidia-0:185.18.36-1.fc11.i586
  AdobeReader_deu-0:9.1.3-1.i486
  AdobeReader_jpn-0:9.1.3-1.i486

Any help figuring out what's going on and how to move forward is appreciated.

Cheers,
behdad

[1] repoquery --whatrequires libpangox-1.0.so.0


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]